Summary: Red Hat X Authority Utility
Name: mkxauth
Version: 1.7
Release: 7
Copyright: GPL
Group: X11/Utilities
Source0: mkxauth
Source1: mkxauth.1x
BuildArchitectures: noarch
Requires: /usr/X11R6/bin/xauth textutils fileutils sh-utils procps gzip
Prefix: /usr/X11R6
BuildRoot: /var/tmp/mkxauth-root

%changelog

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>

- Added more dependency information.

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>

- made a noarch package

%description
`mkxauth' aids in the creation and maintenance of X authentication
databases (.Xauthority files).  Use it to create a ~/.Xauthority file
or merge keys from another local or remote .Xauthority file.  Remote
.Xauthority files can be retrieved via ftp (using ncftp) or via rsh.
For security, mkxauth does not create any temporary files containing
authentication keys.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}
install -m 0755 -o root -g root $RPM_SOURCE_DIR/mkxauth $RPM_BUILD_ROOT/usr/X11R6/bin/mkxauth
install -m 0444 -o root -g root $RPM_SOURCE_DIR/mkxauth.1x $RPM_BUILD_ROOT/usr/X11R6/man/man1/mkxauth.1x

strip $RPM_BUILD_ROOT/usr/X11R6/bin/* || :
gzip -9 $RPM_BUILD_ROOT/usr/X11R6/man/man?/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/mkxauth
/usr/X11R6/man/man1/mkxauth.1x.gz
